%global pypi_name pluggy


Summary:        The plugin manager stripped of pytest specific details
Name:           python-pluggy
Version:        1.5.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/pluggy
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel python3-pytest
BuildRequires:  python3-setuptools python3-setuptools_scm

%description
This is the core framework used by the pytest, tox, and devpi projects.

%package -n python3-%{pypi_name}
Summary:  %summary

%description -n python3-%{pypi_name}
This is the core framework used by the pytest, tox, and devpi projects.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest testing -k "not test_load_setuptools_instantiation"


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Jul 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.5.0-1
- Upgrade to version 1.5.0

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.0-1
- Bump version to 1.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 cunshunxia <cunshunxia@tencent.com> - 1.0.0-1
- initial build
